Module | Sequel::Model::Associations::InstanceMethods
In: | lib/sequel/model/associations.rb

Private instance methods used to implement the associations support.

### Methods

associations pk_or_nil

### Public Instance methods

associations()

The currently cached associations. A hash with the keys being the association name symbols and the values being the associated object or nil (many_to_one), or the array of associated objects (*_to_many).

[Source]

         # File lib/sequel/model/associations.rb, line 990
    990:         def associations
    991:           @associations ||= {}
    992:         end

pk_or_nil()

Used internally by the associations code, like pk but doesn‘t raise an Error if the model has no primary key.

[Source]

         # File lib/sequel/model/associations.rb, line 996
    996:         def pk_or_nil
    997:           key = primary_key
    998:           key.is_a?(Array) ? key.map{|k| @values[k]} : @values[key]
    999:         end

[Validate]